[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBListBox.ExecuteAction

Implements support for standard actions in the control.

## Declaration

Source position: dbctrls.pp line 376

`public function TCustomDBListBox.ExecuteAction(`
`AAction: TBasicAction`
`):Boolean; override;`

## Arguments

`AAction` |  | Action examined and executed in the method.

## Function result

True when the action is performed in the method.

## Description

ExecuteAction is an overridden Boolean function used to implement support for TBasicAction in the control. ExecuteAction extends the inherited method by using the internal field data link (when assigned) to perform the requested action.

AAction is the TBasicAction instance examined and potentially executed in the method.

The return value for the method is True when the action in AAction was executed for the control.

## See also

TDBText.UpdateAction |  | Updates the specified action to reflect the current state in the linked dataset.
TDataLink.ExecuteAction
TDataLink.UpdateAction
TComponent.ExecuteAction
TBasicAction